'\" -*- coding: utf-8 -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH x2golistmounts 8 "Nov 2018" "Version 4.1.0.3" "X2Go Server Tool"
.SH NAME
x2golistmounts \- List Mounted Shares for an X2Go Session
.SH SYNOPSIS
'nh
.fi
.ad l
x2golistmounts [\fI<session_id>\fR]

.SH DESCRIPTION
\fBx2golistmounts\fR returns a list of mounted client-side folders or devices for X2Go
session \fI<session_id>\fR.
.PP
If this commands get evoked inside an X2Go session, the
\fI<session_id>\fR parameter can be omitted (and the env var $X2GO_SESSION will be used
instead).
.PP
\fBx2golistmounts\fR is run with normal user privileges and it is used by X2Go clients to render
a list of SSHFS mounts for a given X2Go sessions.
.SH RETURN VALUES
A line-by-line list of mounted shares is returned by \fBx2golistmounts\fR. Each line consists of
two mount point attribute fields separated by the pipe symbol (,,|'').
.PP
The meanings of these mount point attributes are:

  field 01: \fI<sshfs_target_host_ip>\fR
  field 02: \fI<mount_point_path_on_server>\fR

As exitcode \fBx2golistmounts\fR always returns 0.
.SH SEE ALSO
x2gomountdirs(8), x2goumount-session(8)
.SH AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project
(https://www.x2go.org).
